<?php

define('_CONSTANT_', 1);

require_once '../../core/start.php';

checkAuth();

head('Ежедневный бонус');


$bonusMoney = 10 * $user['bonus_day'];
$bonusExp = 10 * $user['bonus_day'];

$nextDay = $user['bonus_day'] + 1; 

if ($nextDay == 8) 
{
    $nextDay = 1;
} 

if ($user['bonus_time'] < time()) 
{ 
    if (isset($_GET['getBonus'])) 
    {
        if ($user['bonus_time'] > time()) 
        {
            errorNoExit('Вы уже получали бонус');
        } 
        else 
        {
            DB::$dbs->query("UPDATE " . USERS . " SET `bonus_time` = ?, `bonus_day` = ?, `money` = ?, `exp` = ? WHERE `id` = ?", [(time() + 86400), $nextDay, ($user['money'] + $bonusMoney), ($user['exp'] + $bonusExp), $user['id']]);
            success('Бонус получен', '/', 'На главную');
        }
    }
    ?> 
    Администрация сайта рада, что Вы нас посетили сегодня! И по этому мы дарим вам: <br/><?=moneyIcon() . $bonusMoney?><br/> <?=ico('exp.png') . $bonusExp?><br/>
    <a href="<?=HOME?>/modules/user/bonus.php?getBonus" class="link-touch"> Забрать бонус</a>
    <?=ico('info.png')?> Завтра вы получите: <br/> <?=moneyIcon() . (10 * $nextDay)?><br/> <?=ico('exp.png') . (10 * $nextDay)?><br/>
    <?=ico('info.png')?> Заходите каждый день и получайте больше!
    <?php 
} 
else 
{ 
    $timeToBonus = $user['bonus_time'] - time();
    ?> 
    <div class="content">
    До следующего бонуса осталось: <?=countTime($timeToBonus)?><br/>
    </div>
    <?php
    error('Вы сегодня уже получали бонус. ', '/', 'На главную');
} 

require_once '../../core/foot.php';